﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Contracts
{
    [System.Runtime.Serialization.DataContract(Namespace = "http://christopherdeweese.com/person/v1")]
    public class Person
    {
        [System.Runtime.Serialization.DataMember]
        public string Name { get; set; }
        [System.Runtime.Serialization.DataMember()]
        public DateTime Birthday { get; set; }
        [System.Runtime.Serialization.DataMember]
        public string Race { get; set; }
        [System.Runtime.Serialization.DataMember]
        public string Sex { get; set; }

        /// <summary>
        /// Initializes a new instance of the Person class.
        /// </summary>
        public Person(string name, DateTime birthday, string race, string sex)
        {
            Name = name;
            Birthday = birthday;
            Race = race;
            Sex = sex;
        }

        /// <summary>
        /// Initializes a new instance of the Person class.
        /// </summary>
        public Person()
        {
        }
    }
}
