using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Contracts
{
    [System.Runtime.Serialization.DataContract(Namespace = "http://christopherdeweese.com/person/v1")]
    public class PersonResponse
    {
        [System.Runtime.Serialization.DataMember]
        public String InstanceId { get; set; }
        [System.Runtime.Serialization.DataMember]
        public string Message { get; set; }

        public PersonResponse()
        {

        }

        /// <summary>
        /// Initializes a new instance of the PersonResponse class.
        /// </summary>
        public PersonResponse(String instanceId, string message)
        {
            InstanceId = instanceId;
            Message = message;
        }
    }
}
