﻿using System;
using Contracts;

namespace PersonRepository
{
    /// <summary>
    /// Sample Person Service Repository implementation
    /// </summary>
    public class SamplePersonRepository : IPersonRepository
    {
        public readonly Guid InstanceId = Guid.NewGuid();

        #region IPersonRepository Members

        public int SavePerson(Person person)
        {
            return DateTime.Now.Minute;
        }

        public bool DeletePerson(Person person)
        {
            return true;
        }

        #endregion
    }
}
