﻿using System;
using System.ServiceModel.Activation;

namespace ContainerHost.ServiceModel.Activation
{
    public class ContainerServiceHostFactory<T> : ServiceHostFactory where T : IContainer, new()
    {
        protected override System.ServiceModel.ServiceHost CreateServiceHost(Type serviceType, Uri[] baseAddresses)
        {
            return new ContainerServiceHost(new T(), serviceType, baseAddresses);
        }
    }
}
