﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ContainerHost.ServiceModel
{
    /// <summary>
    /// Base interface defining a container.
    /// </summary>
    public interface IContainer
    {
        /// <summary>
        /// Resolve the type T and return a valid instance.
        /// </summary>
        /// <param name="t"></param>
        /// <returns></returns>
        object Resolve(Type t);
    }
}
