﻿using ContainerHost.SM;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace ContainerHost.Tests
{
    /// <summary>
    ///This is a test class for StructureMapContainerFacadeTest and is intended
    ///to contain all StructureMapContainerFacadeTest Unit Tests
    ///</summary>
    [TestClass]
    public class StructureMapContainerFacadeTest
    {
        /// <summary>
        ///A test for Resolve
        ///</summary>
        [TestMethod]
        public void Should_Resolve_PersonService()
        {
            var target = new StructureMapContainerFacade();
            var t = Type.GetType("Service.PersonService, Service");
            var actual = (Service.PersonService)target.Resolve(t);
            Assert.IsTrue(actual != null);
        }
    }
}
