﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace Contracts
{
    /// <summary>
    /// Contract for our person service.
    /// </summary>
    [System.ServiceModel.ServiceContract(Namespace="http://christopherdeweese.com/person/v1", SessionMode=System.ServiceModel.SessionMode.NotAllowed)]
    public interface IPersonService
    {
        [System.ServiceModel.OperationContract()]
        PersonResponse SavePersonRecord(PersonRequest request);
        [System.ServiceModel.OperationContract()]
        PersonResponse DeletePersonRecord(PersonRequest request);
    }
}
